# Uses of Class
javafx.collections.SetChangeListener.Change

Packages that use SetChangeListener.Change
Package
Description
javafx.beans.property
The package `javafx.beans.property` defines read-only properties and writable properties, plus a number of implementations.
javafx.collections
Contains the essential JavaFX collections and collection utilities

## Uses of SetChangeListener.Change in javafx.beans.property

Methods in javafx.beans.property with parameters of type SetChangeListener.Change
Modifier and Type
Method
Description
`protected void`
ReadOnlySetPropertyBase.`fireValueChangedEvent(SetChangeListener.Change<? extends E> change)`
This method needs to be called if the content of the referenced `ObservableSet` changes.
`protected void`
ReadOnlySetWrapper.`fireValueChangedEvent(SetChangeListener.Change<? extends E> change)`
Sends notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `SetChangeListener`.
`protected void`
SetPropertyBase.`fireValueChangedEvent(SetChangeListener.Change<? extends E> change)`
Sends notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `SetChangeListener`.

## Uses of SetChangeListener.Change in javafx.collections

Methods in javafx.collections with parameters of type SetChangeListener.Change
Modifier and Type
Method
Description
`void`
SetChangeListener.`onChanged(SetChangeListener.Change<? extends E> change)`
Called after a change has been made to an ObservableSet.
`void`
WeakSetChangeListener.`onChanged(SetChangeListener.Change<? extends E> change)`
Called after a change has been made to an ObservableSet.